# $Revision: 1.17 $, $Date: 2010/10/09 16:23:41 $
%include	/usr/lib/rpm/macros.php
%define		_status		beta
%define		_pearname	Net_GameServerQuery
Summary:	%{_pearname} - interface to query a game server
Summary(pl.UTF-8):	%{_pearname} - interfejs do odpytywanie serwera gier
Name:		php-pear-%{_pearname}
Version:	0.3.0
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	798e11b5390705a05973ab652c1b1cae
URL:		http://pear.php.net/package/Net_GameServerQuery/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:5.0.0
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net_GameServerQuery is an object for querying game servers. Currently
only supports basic "status" information. Built in support for over 20
games.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Net_GameServerQuery to obiekt do odpytywania serwerów gier. Aktualnie
obsługuje tylko podstawowe informacje o stanie. Ma wbudowaną obsługę
ponad 20 gier.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

mv .%{php_pear_dir}/data/Net_GameServerQuery/TODO docs

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Net/GameServerQuery.php
%{php_pear_dir}/Net/GameServerQuery

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Net_GameServerQuery.spec,v $
Revision 1.17  2010/10/09 16:23:41  glen
- up to 0.3.0-beta

Revision 1.16  2008/01/31 12:17:32  glen
- rel 6

Revision 1.15  2007-02-13 08:06:40  glen
- tabs in preamble

Revision 1.14  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.13  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.12  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.11  2005/10/05 21:00:25  glen
- rel 5

Revision 1.10  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.9  2005/09/28 22:21:43  glen
- new pear packaging (fixed %files); rel 4

Revision 1.8  2004/12/05 13:05:30  adamg
- add path_fix.patch (fix some inclusion issues)
- release 3

Revision 1.7  2004/12/04 13:21:58  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.6  2004/11/24 11:19:48  adamg
- updated to 0.2.0

Revision 1.5  2004/10/31 22:10:47  paladine
- spaces->tabs
- formatting

Revision 1.4  2004/05/30 13:13:51  adamg
- fixed english information about status of the package

Revision 1.3  2004/04/10 20:26:09  qboosh
- pl desc

Revision 1.2  2004/04/10 14:13:24  adamg
- shortened en summary, added pl summary
- fixed URL

Revision 1.1  2004/04/10 13:59:42  adamg
- initial import
